Support » Plugin: BadgeOS » PHP 5.5 compatibility

  • Hello,

    I’ve got to upgrade to PHP 5.5, and BadgeOS is one of a handful of plugins that are throwing errors when checking for compatibility. Here is the error message:

    FILE: /home/classics/public_html/wp-content/plugins/badgeos/includes/cmb/init.php
    —————————————————————————————————————————————-
    FOUND 1 ERROR AFFECTING 1 LINE
    —————————————————————————————————————————————-
    208 | ERROR | Function name, class name, namespace name or constant name can not be reserved keyword ‘__dir__’ (since PHP version 5.3)
    —————————————————————————————————————————————-

    FILE: /home/classics/public_html/wp-content/plugins/badgeos/includes/p2p/mustache/Mustache.php
    ————————————————————————————————————————-
    FOUND 1 ERROR AFFECTING 1 LINE
    ————————————————————————————————————————-
    701 | ERROR | ‘clone’ is a reserved keyword introduced in PHP version 5.0 and cannot be invoked as a function (T_CLONE)
    ————————————————————————————————————————-

Viewing 1 replies (of 1 total)
  • Did you get anywhere on this? Do you know what is the highest php version you can run with BadgeOS? Can’t find any support anywhere.

Viewing 1 replies (of 1 total)
  • The topic ‘PHP 5.5 compatibility’ is closed to new replies.